Bug 303608

Summary: Kmix crashed after selecting Amarok as master and instantly crashed when changing song. Volumes in exeption of the integrated subwoofer go fine; the built-in woofer must be changed trough Alsa, and Amarok must be volumed up/down by it's bar.
Product: kmix Reporter: Adrià <mistermime122>
Component: Backend: PulseaudioAssignee: Colin Guthrie <colin>
Status: RESOLVED FIXED    
Severity: crash CC: esken
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Debian stable   
OS: Linux   
Latest Commit: Version Fixed In:

Description Adrià 2012-07-16 09:32:32 UTC
Changing song; not selecting Amarok as master, doesn't makes crash. Kmix stays in a false ''mute'' state, wich remains like that even not muted in alsa, etc. Leave in it in default master, doesn't makes Amarok crash, but volumes basically doesn't have any way to be changed. Downgrading kmix to 4:4.8.2 instead of 4:4.8.4 makes a stable-not-selected-Amarok as master kmix, can change songs with no problems, and sometimes hungs, but not in every change it suposed to affect the kmix-amarok shared instructions. In the two versions, the channel ''subwoofer'' it has no effect; only in Alsamixer, the one called ''internal'' does it's paper. Kmix 4:4.8.4 becomes ''invisible'' but visible as muted, it is there, but as not because you can't change any volume. in the downgrade, kmix is stable, always you don't select ''Amarok'' as master, changing songs with success;

Reproducible: Always

Steps to Reproduce:
1.Start kmix and Aamarok
2.Select ''Amarok'' as master in kmix
3.Changing song will automaticaly crash kmix.
Actual Results:  
Don't selecting Amarok as master makes kmix stable.


Downgrading to kmix 4:4.8.2, and don't selecting Amarok as master, makes kmix stable.
Comment 1 Christoph Feck 2012-07-16 11:52:08 UTC
If you get the KDE crash dialog, please add the backtrace. For more information, see http://techbase.kde.org/User:DarioAndres/Basic_Guide_about_Crash_Reporting
Comment 2 Adrià 2012-07-16 19:52:38 UTC
Application: KMix (kmix), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xaff03980 (LWP 15902))]

Thread 3 (Thread 0xa8519b40 (LWP 15903)):
#0  0xb2f46dcf in clock_gettime () from /lib/i386-linux-gnu/librt.so.1
#1  0xb5af2315 in do_gettime (frac=0xa8518f00, sec=0xa8518ef8) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb5bdc226 in QTimerInfoList::updateCurrentTime (this=0xa7c0207c) at kernel/qeventdispatcher_unix.cpp:343
#4  0xb5bdc57a in QTimerInfoList::timerWait (this=0xa7c0207c, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#5  0xb5bdae23 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa851900c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb5bdaebd in timerSourcePrepare (source=0xa7c02048, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb2dd9872 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb2dd9faf in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb2dda201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb5bdb8e7 in QEventDispatcherGlib::processEvents (this=0xa7c00480, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#11 0xb5ba750d in QEventLoop::processEvents (this=0xa8519190, flags=...) at kernel/qeventloop.cpp:149
#12 0xb5ba77a9 in QEventLoop::exec (this=0xa8519190, flags=...) at kernel/qeventloop.cpp:204
#13 0xb5a9094c in QThread::exec (this=0xa2b15e0) at thread/qthread.cpp:501
#14 0xb5b84b5d in QInotifyFileSystemWatcherEngine::run (this=0xa2b15e0) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb5a93de0 in QThreadPrivate::start (arg=0xa2b15e0) at thread/qthread_unix.cpp:298
#16 0xb2336a11 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#17 0x5c8b0824 in ?? ()
#18 0xbab80424 in ?? ()
#19 0x65000000 in ?? ()
#20 0x001015ff in ?? ()
#21 0xd3890000 in ?? ()
#22 0xfff0013d in ?? ()
#23 0xc30173ff in ?? ()
#24 0x0f8122e8 in ?? ()
#25 0x9fc18100 in ?? ()
#26 0x8b001724 in ?? ()
#27 0xffff0889 in ?? ()
#28 0x29d231ff in ?? ()
#29 0x0d0365c2 in ?? ()
#30 0x00000000 in ?? ()

Thread 2 (Thread 0xa3bfeb40 (LWP 15906)):
#0  0xb7786424 in __kernel_vsyscall ()
#1  0xb7619380 in poll () from /lib/i386-linux-gnu/libc.so.6
#2  0xb2de7a7b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2dda0ae in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2dda201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb5bdb8e7 in QEventDispatcherGlib::processEvents (this=0xa3200480, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb5ba750d in QEventLoop::processEvents (this=0xa3bfe190, flags=...) at kernel/qeventloop.cpp:149
#7  0xb5ba77a9 in QEventLoop::exec (this=0xa3bfe190, flags=...) at kernel/qeventloop.cpp:204
#8  0xb5a9094c in QThread::exec (this=0xa34cfd8) at thread/qthread.cpp:501
#9  0xb5b84b5d in QInotifyFileSystemWatcherEngine::run (this=0xa34cfd8) at io/qfilesystemwatcher_inotify.cpp:248
#10 0xb5a93de0 in QThreadPrivate::start (arg=0xa34cfd8) at thread/qthread_unix.cpp:298
#11 0xb2336a11 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#12 0x5c8b0824 in ?? ()
#13 0xbab80424 in ?? ()
#14 0x65000000 in ?? ()
#15 0x001015ff in ?? ()
#16 0xd3890000 in ?? ()
#17 0xfff0013d in ?? ()
#18 0xc30173ff in ?? ()
#19 0x0f8122e8 in ?? ()
#20 0x9fc18100 in ?? ()
#21 0x8b001724 in ?? ()
#22 0xffff0889 in ?? ()
#23 0x29d231ff in ?? ()
#24 0x0d0365c2 in ?? ()
#25 0x00000000 in ?? ()

Thread 1 (Thread 0xaff03980 (LWP 15902)):
[KCrash Handler]
#7  0x00ffffff in ?? ()
#8  0xb7746f78 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kmix.so
#9  0xb7741c23 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kmix.so
#10 0xb773e913 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kmix.so
#11 0xb5bbf6b1 in QMetaObject::activate (sender=0xa2fabf0, m=0xb7782d48, local_signal_index=1, argv=0x0) at kernel/qobject.cpp:3547
#12 0xb7761c75 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kmix.so
#13 0xb5bbf6b1 in QMetaObject::activate (sender=0xa2fabb0, m=0xb7780c44, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3547
#14 0xb7716ea5 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kmix.so
#15 0xb77171a8 in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kmix.so
#16 0xb772412a in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kmix.so
#17 0xb772a5da in ?? () from /usr/lib/kde4/libkdeinit/libkdeinit4_kmix.so
#18 0xb6b4c980 in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#19 0xb2f05eed in ?? () from /usr/lib/i386-linux-gnu/libpulsecommon-1.1.so
#20 0xb2f062f0 in pa_pdispatch_run () from /usr/lib/i386-linux-gnu/libpulsecommon-1.1.so
#21 0xb6b41a1d in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#22 0xb2f0b8c3 in ?? () from /usr/lib/i386-linux-gnu/libpulsecommon-1.1.so
#23 0xb2ef5c28 in ?? () from /usr/lib/i386-linux-gnu/libpulsecommon-1.1.so
#24 0xb6b30a3a in ?? () from /usr/lib/i386-linux-gnu/libpulse-mainloop-glib.so.0
#25 0xb2dd9d86 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#26 0xb2dda125 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#27 0xb2dda201 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#28 0xb5bdb887 in QEventDispatcherGlib::processEvents (this=0x9f84eb8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#29 0xb624faaa in QGuiEventDispatcherGlib::processEvents (this=0x9f84eb8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#30 0xb5ba750d in QEventLoop::processEvents (this=0xbfa35a34, flags=...) at kernel/qeventloop.cpp:149
#31 0xb5ba77a9 in QEventLoop::exec (this=0xbfa35a34, flags=...) at kernel/qeventloop.cpp:204
#32 0xb5baceba in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#33 0xb6194a74 in QApplication::exec () at kernel/qapplication.cpp:3820
#34 0xb773079b in kdemain () from /usr/lib/kde4/libkdeinit/libkdeinit4_kmix.so
#35 0x0804850b in ?? ()
#36 0xb75564d3 in __libc_start_main () from /lib/i386-linux-gnu/libc.so.6
#37 0x08048531 in _start ()
Comment 3 Christian Esken 2012-08-23 07:03:45 UTC
The debuginfo packages for the KMix application are not present, as teh information is missing in the backtrace.
---
Please post a backtrace including KMix debuginfo and report it here.

Distribution specific installation guides for installing debuginfo packages can be found on http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports

Especially important is that you do not forget to install the debuginfo packages for the KMix application.
Comment 4 Christian Esken 2013-12-18 13:47:54 UTC
No reply within 6 months => closing ticket
Also very likely a dup AND fixed.
Comment 5 Christian Esken 2013-12-20 10:24:23 UTC
Git commit 0f7a603e1d327f76dbd6a62d08315b1956794d42 by Christian Esken.
Committed on 20/12/2013 at 10:17.
Pushed by esken into branch 'master'.

Configuration menu is now using Tabs to provide a more standard,
  convenient and pleasing layout
 Sound Menu: Play button reflects playback status and shows either
  "Play" or "Pause"
 Bugfixes and Features (CCBUGS, as most bugs are already closed). Hint: Some
bugs might have actually been alreay fixed ibn KDE4.11 or KDE4.12.

Bug ID	Severity	Summary
Related: bug 317926, bug 20, bug 315383, bug 299477, bug 256854, bug 304144, bug 296951, bug 214854, bug 319600
applet
volume control
position.

M  +9    -5    CMakeLists.txt
M  +41   -20   ChangeLog
M  +5    -1    apps/KMixApp.cpp
M  +167  -238  apps/kmix.cpp
M  +8    -13   apps/kmix.h
M  +3    -0    apps/kmixctrl.cpp
M  +3    -0    apps/kmixd.cpp
M  +18   -12   backends/mixer_backend.cpp
M  +1    -0    backends/mixer_backend.h
M  +229  -150  backends/mixer_mpris2.cpp
M  +23   -6    backends/mixer_mpris2.h
M  +8    -2    backends/mixer_oss.cpp
M  +1    -1    backends/mixer_pulse.cpp
M  +9    -9    core/ControlManager.cpp
M  +102  -15   core/GlobalConfig.cpp
M  +105  -47   core/GlobalConfig.h
M  +65   -31   core/kmixdevicemanager.cpp
M  +9    -4    core/mixdevice.cpp
M  +4    -12   core/mixdevice.h
M  +6    -4    core/mixer.cpp
M  +16   -10   core/mixertoolbox.cpp
M  +1    -1    core/version.h
M  +17   -3    core/volume.cpp
M  +9    -8    core/volume.h
M  +19   -6    gui/dialogchoosebackends.cpp
M  +1    -1    gui/dialogchoosebackends.h
M  +9    -2    gui/dialogviewconfiguration.cpp
M  +37   -10   gui/guiprofile.cpp
M  +27   -24   gui/guiprofile.h
M  +93   -118  gui/kmixdockwidget.cpp
M  +3    -4    gui/kmixdockwidget.h
M  +13   -11   gui/kmixerwidget.cpp
M  +296  -91   gui/kmixprefdlg.cpp
M  +82   -32   gui/kmixprefdlg.h
M  +87   -38   gui/mdwslider.cpp
M  +4    -2    gui/mdwslider.h
M  +69   -42   gui/viewbase.cpp
M  +1    -0    gui/viewbase.h
M  +25   -30   gui/viewdockareapopup.cpp
M  +1    -1    gui/viewdockareapopup.h
M  +4    -4    gui/viewsliders.cpp
M  +1    -1    gui/volumesliderextradata.h

http://commits.kde.org/kmix/0f7a603e1d327f76dbd6a62d08315b1956794d42